I still can't update the "Global update"

I hoped the problem would just disappear, but I’m now waiting for 3 months and I still can’t update the game. I have the Android Version 7.0. Please help I don’t know what to do.

Hello!
To be able to help you further, i would need to know what kind of device you are using?

Thanks!

1 Like

I use a WIKO Jerry 2.

Thank you!

Unfortunately, your device is equipped with an older graphics processor model. The Mali-400 GPU only supports OpenGL ES 2.0, and the lowest required version for Global is OpenGL ES 3.0.

Unfortunately, there is nothing that can be done to upgrade your device to support this as it’s a hardware limitation.

3 Likes

Hm ok thank you for your help. At least I know now what the problem is.

2 Likes